<?php
/**
 * Elements for clone
 *
 * @package     Wow_Plugin
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
  exit;
}

include_once( 'settings/clone.php' );
?>

<fieldset class="itembox" id="adding-menu-1">
  <legend>
    <?php esc_html_e( 'Item ', 'side-menu' ); ?> <span class="item"></span>
  </legend>
  <div class="control">
    <span class="dashicons dashicons-move"></span>
    <span class="dashicons dashicons-minus toogle"></span>
    <span class="dashicons dashicons-plus toogle"></span>
    <span class="dashicons dashicons-no-alt item-del"></span>
  </div>
  <div class="menu_block">
    <div class="container">
      <div class="element">
        <?php esc_html_e( 'Icon', 'side-menu' ); ?>
        <?php self::pro(); ?>
        <br/>
        <?php self::option( $menu_1_item_icon ); ?>
      </div>
      <div class="element">
        <?php esc_html_e( 'Label Text', 'side-menu' ); ?>
        <br/>
        <?php self::option( $menu_1_item_tooltip ); ?>
      </div>
      <div class="element">
        <input type="checkbox" disabled="disabled">
        <?php esc_html_e( 'Hold Open', 'side-menu' ); ?>
        <?php self::tooltip( $hold_open_help ); ?>
        <?php self::pro(); ?>
      </div>
    </div>
    <div class="container">
      <div class="element">
        <?php esc_html_e( 'Item type', 'side-menu' ); ?>
        <?php self::pro(); ?>
        <br/>
        <?php self::option( $menu_1_item_type ); ?>
      </div>
      <div class="element type-param">
        <div class="type-link">
          <span class="type-link-text">Link</span>
          <br/>
          <?php self::option( $menu_1_item_link ); ?>
        </div>

      </div>
      <div class="element type-link-blank">
        <?php self::option( $menu_1_new_tab ); ?>
        <?php esc_html_e( 'Open in new window', 'side-menu' ); ?>
      </div>
    </div>

    <div class="container">
      <div class="element">
        <?php esc_html_e( 'Font Сolor', 'side-menu' ); ?>
        <?php self::pro(); ?>
        <br/>
        <img src="<?php echo esc_url($this->plugin['url']); ?>assets/img/white.jpg">
      </div>
      <div class="element">
        <?php esc_html_e( 'Icon Сolor', 'side-menu' ); ?>
        <?php self::pro(); ?>
        <br/>
        <img src="<?php echo esc_url($this->plugin['url']); ?>assets/img/white.jpg">
      </div>
      <div class="element">
        <?php esc_html_e( 'Background', 'side-menu' ); ?>
        <?php self::pro(); ?>
        <br/>
        <img src="<?php echo esc_url($this->plugin['url']); ?>assets/img/background.jpg">
      </div>
    </div>

    <div class="container">
      <div class="element">
        <?php esc_html_e( 'Background Hover', 'side-menu' ); ?>
        <?php self::pro(); ?>
        <br/>
        <img src="<?php echo esc_url($this->plugin['url']); ?>assets/img/hbackground.jpg">

      </div>
      <div class="element">
        <?php esc_html_e( 'ID for element', 'side-menu' ); ?>
        <?php self::tooltip( $button_id_help ); ?>
        <br/>
        <?php self::option( $menu_1_button_id ); ?>
      </div>
      <div class="element">
        <?php esc_html_e( 'Class for element', 'side-menu' ); ?>
        <?php self::tooltip( $button_class_help ); ?>
        <br/>
        <?php self::option( $menu_1_button_class ); ?>
      </div>

    </div>
  </div>
</fieldset>
