<?php
/**
 * Targeting
 *
 * @package     Wow_Pluign
 * @copyright   Copyright (c) 2018, Dmytro Lobov
 * @license     http://opensource.org/licenses/gpl-2.0.php GNU Public License
 * @since       1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
include_once( 'settings/targeting.php' );

?>

<div id="targeting" class="postbox wow-sidebar">
  <h2><?php esc_html_e( 'Targeting', 'side-menu' ); ?></h2>
  <div class="inside">
    <div class="container">
      <div class="element">
        <h4><?php esc_html_e( 'Show on devices', 'side-menu' ); ?></h4>
				<?php self::option( $include_more_screen ); ?> <label
          for="include_more_screen"><?php esc_html_e( "Don't show on screens more", 'side-menu' ); ?></label><?php self::tooltip( $show_screen_help ); ?>
        <p/>
				<?php self::option( $screen_more ); ?>
				<?php self::option( $include_mobile ); ?> <label
          for="include_mobile"><?php esc_html_e( "Don't show on screens less", 'side-menu' ); ?></label><?php self::tooltip( $include_mobile_help ); ?>
        <p/>
				<?php self::option( $screen ); ?><p/>
      </div>
    </div>
    <div class="container">
      <div class="element">
          <h4><?php esc_html_e( 'Show for users', 'side-menu' ); ?><?php self::pro(); ?></h4>
          <input type="radio" checked="checked"> <?php esc_html_e( 'All Users', 'side-menu' ); ?><br/>
          <input type="radio" disabled="disabled"><?php esc_html_e( 'Authorized Users', 'side-menu' ); ?><br/>
          <input type="radio" disabled="disabled"><?php esc_html_e( 'Unauthorized Users', 'side-menu' ); ?><p/>
      </div>
    </div>
    <div class="container">
        <div class="element">
            <h4><?php esc_html_e( 'Depending on the language', 'side-menu' ); ?><?php self::pro(); ?></h4>
            <input type="checkbox" disabled="disabled">
		    <?php esc_html_e( "Enable", 'side-menu' ); ?></label>
            <p/>
        </div>
    </div>
    <div class="container">
      <div class="element">
        <h4><?php esc_html_e( 'Font Awesome 5 style', 'side-menu' ); ?></h4>
        <?php self::option( $disable_fontawesome ); ?> <label
          for="disable_fontawesome"><?php esc_html_e( "Disable", 'side-menu' ); ?></label>
        <?php self::tooltip( $disable_fontawesome_help ); ?>
      </div>
    </div>
  </div>
</div>